Package org.bukkit.event.inventory

# Class InventoryCreativeEvent

java.lang.Object
org.bukkit.event.Event
org.bukkit.event.inventory.InventoryEvent
org.bukkit.event.inventory.InventoryInteractEvent
org.bukkit.event.inventory.InventoryClickEvent
org.bukkit.event.inventory.InventoryCreativeEvent

All Implemented Interfaces:
  `Cancellable`

public class InventoryCreativeEvent extends InventoryClickEvent
This event is called when a player in creative mode puts down or picks up an item in their inventory / hotbar and when they drop items from their Inventory while in creative mode.

## Nested Class Summary

## Nested classes/interfaces inherited from class org.bukkit.event.Event

`Event.Result`

## Field Summary

### Fields inherited from class org.bukkit.event.inventory.InventoryEvent

`transaction`

## Constructor Summary

Constructors
Constructor
Description
`InventoryCreativeEvent(@NotNull InventoryView what, @NotNull InventoryType.SlotType type, int slot, @NotNull ItemStack newItem)`

## Method Summary

Modifier and Type
Method
Description
`@NotNull ItemStack`
`getCursor()`
Gets the current ItemStack on the cursor.
`void`
`setCursor(@NotNull ItemStack item)`
Sets the item on the cursor.

### Methods inherited from class org.bukkit.event.inventory.InventoryClickEvent

`getAction, getClick, getClickedInventory, getCurrentItem, getHandlerList, getHandlers, getHotbarButton, getRawSlot, getSlot, getSlotType, isLeftClick, isRightClick, isShiftClick, setCurrentItem`

### Methods inherited from class org.bukkit.event.inventory.InventoryInteractEvent

`getResult, getWhoClicked, isCancelled, setCancelled, setResult`

### Methods inherited from class org.bukkit.event.inventory.InventoryEvent

`getInventory, getView, getViewers`

### Methods inherited from class org.bukkit.event.Event

`callEvent, getEventName, isAsynchronous`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### InventoryCreativeEvent

public InventoryCreativeEvent(@NotNull @NotNull InventoryView what, @NotNull @NotNull InventoryType.SlotType type, int slot, @NotNull @NotNull ItemStack newItem)

## Method Details

### getCursor

@NotNull public @NotNull ItemStack getCursor()
Description copied from class: `InventoryClickEvent`
Gets the current ItemStack on the cursor.

Overrides:
  `getCursor` in class `InventoryClickEvent`
Returns:
  the cursor ItemStack

### setCursor

public void setCursor(@NotNull @NotNull ItemStack item)
Description copied from class: `InventoryClickEvent`
Sets the item on the cursor.

Overrides:
  `setCursor` in class `InventoryClickEvent`
Parameters:
  `item` - the new cursor item